[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# HostToNet

Convert a host address to a network address

## Declaration

Source position: line 0

`function HostToNet(`
`Host: in_addr`
`):in_addr; function HostToNet(`
`Host: LongInt`
`):LongInt;`

## Description

HostToNet converts a host address to a network address. It takes care of endianness of the host machine. The address can be specified as a dotted quad or as a longint.

## Errors

None.

## See also

NetToHost |  | Convert a network address to a host address.
NToHS |  | Convert short integer from network ordered to host ordered
HToNS |  | Convert short integer from host ordered to network ordered
ShortHostToNet |  | Convert a host port number to a network port number
ShortNetToHost |  | Convert a network port number to a host port number

Documentation generated on: Feb 26 2014